//
//  MBUpTimeFormatter.m
//  UpTime
//
//  Created by Milo on 21/06/2007.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "MBUpTimeFormatter.h"


@implementation MBUpTimeFormatter

//  NSFormatter
- (NSString *)stringForObjectValue:(id)anObject;
{
	if (anObject == nil || [anObject isKindOfClass:[NSNumber class]] == NO)
		return @"";
		
	unsigned days = [anObject unsignedLongLongValue] / (60 * 60 * 24);
	unsigned hours = ([anObject unsignedLongLongValue] / (60 * 60)) % 24;
	unsigned minutes = ([anObject unsignedLongLongValue] / 60) % 60;
	
	return [NSString stringWithFormat:@"%ud %uh %um", days, hours, minutes];
}

/*
//  NSFormatter
- (BOOL)getObjectValue:(id *)anObject forString:(NSString *)string errorDescription:(NSString **)error;
{
	
}

//  NSFormatter
- (NSAttributedString *)attributedStringForObjectValue:(id)anObject withDefaultAttributes:(NSDictionary *)attributes;
{
	
}*/

@end
